Retry the failed post-settlement tasks on a receipt
Re-run the receipt's failed post-settlement tasks. Returns the receipt's tasks with their updated state. Tasks that are already complete are left untouched.
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/tasks
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+receiptUidstringRequiredPattern:
Reference to a Receipt.
^[A-Za-z0-9-_]+Responses
200
The post-settlement tasks on a receipt.
application/json
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/tasks
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/tasks HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
The post-settlement tasks on a receipt.
{
"items": [
{
"orderReceiptTaskUid": "text",
"taskType": "LOYALTY_POINTS_SYNC",
"status": "PENDING",
"attempts": [
{
"attempt": 1,
"timestamp": "2026-01-01T00:00:00.000Z",
"triggeredBy": "text",
"trigger": "text",
"outcome": "text",
"error": "text",
"response": "text",
"requestId": "text"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
]
}Last updated
Was this helpful?

